Bug 733124 - [abrt] evolution-data-server-3.1.5-2.fc16: g_main_context_check: Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-data-server-3.1.5-2.fc16: g_main_context_check: Process /usr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8495446de98dade268acb09efa2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 20:12 UTC by Adam Williamson
Modified: 2013-02-13 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 16:36:03 UTC


Attachments (Terms of Use)
File: maps (27.01 KB, text/plain)
2011-08-24 20:12 UTC, Adam Williamson
no flags Details
File: backtrace (35.99 KB, text/plain)
2011-08-24 20:12 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2011-08-24 20:12:14 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/libexec/e-addressbook-factory
comment:        No noticed trigger, happened in the background AFAICT.
crash_function: g_main_context_check
executable:     /usr/libexec/e-addressbook-factory
kernel:         3.1.0-0.rc3.git0.0.fc16.x86_64
reason:         Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
time:           Wed Aug 24 11:39:36 2011
uid:            501
username:       adamw

backtrace:      Text file, 36849 bytes
maps:           Text file, 27657 bytes

build_ids:
:90408f766b48bb8ef3395bf4dba47b0a14a8542a
:ff5c064d8e1612333b92a28b235b3ea4042c7970
:32eeba9032ecead38442bdf6328d89464a151a7e
:e66a972944c1d36b9f9fadd93a5a6209f2301455
:bfb863b5617308ffefa15ca736d726969665b010
:88c273fb9c6869c8e7a2c4ef8e1a8f10b50d1b49
:89017ab0b75e533e4294f74ee8f7db3daceea536
:6820b4f421980e4f5fe23c69b239dc8279af3c76
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:49a5c6d4e4db5066266ee3c801a61846352da742
:ec1df2645c78b39261e7f8b233e743dca255ec0f
:22fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:e817673c90a034824c48931c53acad062f8f969f
:3816045dcddc0e1d29aacacab272bbd74f67e828
:2f146bc5857341875cad29577e4343275be8673d
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:927240c5cfb5f65cca947f976ac6e46fd9357315
:ee4a9fa217051396257002503a305d1c713eb9b8
:072d88d01a354b712aa37a38ca5bcc55855c3d58
:8c19010e101d010467607133283541a1151166c3
:7736285a9d7606379bd0145646e9974d1221616b
:a2748a35d28f083d729359d9c06bc85158408ee3
:fafe48cf3c50415e47474f4a2d1f2948539b80b0
:162e7de5d553b39188a8e39ab7bc40cf6072a901
:02fc3551b7aff15f2548659ecddd3d0b09d2e5fd
:77fb426ed1422ab8031aaa89787a83910efdcbe5
:e39fdb3801658cf9810cf8176af72f6893092235
:f4a8746bdce81a5832071025756151f69ae8e122
:39a9d7e5a7c16008e1a436b07c3b4572a8ad8864
:4953d1f613914126bccceb3cb96386647ffba9df
:30faa590968ce2780e0984efd1263094d0b89f1d
:6b73687afacb54e929fc37f7801ac569bfdd0856
:bb703c17517f4bd6277d7bedb09b70a1de42420f
:16cd4f049ae10dc8c27c8d9a1c933189f74cc837
:84c10b99d5e313e2da4f265437eb20d9d15f0470
:042ff2ef4400ec8aa9d9bffbc80685a73241e08e
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:3c7e734268520e65ccdb665b0af967aa66d577e0
:e530848364dc0b4a0a5c7a8a9a17bb09a72303f5
:f18d6666d1d10568adb1d386b2fe62b366835b39
:c12311a198d29c81e1fbe14e1b7df97e56735bea
:0b5f94abb1eccf417fe7f007723f3cb071c63e23
:be507c791e34415e8f42f0e6030c889b2895cf9a
:9672c411d6453a89befb1b5d946a1ba6892ed319
:6e6bb4529a2d77183a36d1ebb7fb4f8e4ba49627
:f39ebc642246f6e82caf28aabe6c6bae69ac3c9a
:c6739204320eb15bdcdba039a2b183298170403e
:e682f345b8787577b86165cdc79588b02f0eb6e4
:421bc0a3606cd2d31e9bc83c03b3365342192d6b
:e567a4b498aa9dfc484575e666a17925f0944318
:63836926ac1e2ef5ad69b01ebb7566509807a5c7
:f8424b99ec1150c6833edd521c8549b38d68578b
:b77200bf76fd8c69a30220dd6709b244b215e829
:617d8abba80eb5ebdaef80033ec801eb507eeae8
:54ebe708f71346b6075a1b4fb4fc62dddb8e783f
:6c827aed0fb6c93acb6c2329a62f452ff83e9052
:65defa6fc469d6e08ceb80061df1437dbe18c3b7
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:b864e94cf7e23d207e5474bbb7beaee3633ed694
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:60e32c553c47c9cc4c532f6cc9f923686b1b6e96
:2133c1093619ab13b41f62cd8476433700a3e80b

dso_list:
:/usr/lib64/evolution-data-server/addressbook-backends/libebookbackendvcf.so evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-1.fc16.1.x86_64 (Fedora Project) 1313608818
:/usr/lib64/libebook-1.2.so.12.3.1 evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/usr/lib64/libedata-book-1.2.so.11.0.0 evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.35.3-1.fc16.x86_64 (Fedora Project) 1310068126
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1309201345
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1312391755
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.x86_64 (Fedora Project) 1311700084
:/lib64/libm-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.7-3.fc16.x86_64 (Fedora Project) 1313608819
:/lib64/libgio-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/lib64/libresolv-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1314202718
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-8.fc16.x86_64 (Fedora Project) 1311700095
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305315724
:/lib64/libgobject-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/libssl3.so nss-3.12.10-6.fc16.x86_64 (Fedora Project) 1311700099
:/lib64/libgmodule-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/liboauth.so.0.8.1 liboauth-0.9.4-1.fc16.x86_64 (Fedora Project) 1309201513
:/lib64/libpthread-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-7.fc16.x86_64 (Fedora Project) 1312391741
:/usr/lib64/libnss3.so nss-3.12.10-6.fc16.x86_64 (Fedora Project) 1311700099
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1311700092
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1311700092
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1313608821
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-8.fc16.x86_64 (Fedora Project) 1311700095
:/usr/lib64/libebackend-1.2.so.1.0.0 evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-1.fc16.1.x86_64 (Fedora Project) 1313608818
:/usr/lib64/evolution-data-server/addressbook-backends/libebookbackendgoogle.so evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1309201332
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1314202689
:/usr/libexec/e-addressbook-factory evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/usr/lib64/libgoa-1.0.so.0.0.0 gnome-online-accounts-3.1.1-1.fc16.x86_64 (Fedora Project) 1309824306
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1310692796
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1305315750
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1311700092
:/lib64/libdl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-8.fc16.x86_64 (Fedora Project) 1311700095
:/usr/lib64/libcamel-1.2.so.28.0.0 evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-7.fc16.x86_64 (Fedora Project) 1312391741
:/lib64/libnsl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/lib64/libc-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/lib64/librt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1312391742
:/usr/lib64/evolution-data-server/addressbook-backends/libebookbackendfile.so evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/lib64/libidn.so.11.6.5 libidn-1.22-3.fc16.x86_64 (Fedora Project) 1309201350
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1309201332
:/usr/lib64/evolution-data-server/addressbook-backends/libebookbackendwebdav.so evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/lib64/ld-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/lib64/libglib-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-8.fc16.x86_64 (Fedora Project) 1311700095
:/usr/lib64/libedataserver-1.2.so.15.0.0 evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1311007425
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.1.6-1.fc16.x86_64 (Fedora Project) 1314119503
:/usr/lib64/libsoup-gnome-2.4.so.1.4.0 libsoup-2.35.3-1.fc16.x86_64 (Fedora Project) 1310068126
:/usr/lib64/libgdata.so.13.0.0 libgdata-0.9.1-1.fc16.x86_64 (Fedora Project) 1309893703
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.1.4-1.fc16.x86_64 (Fedora Project) 1312391742
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-4.x86_64 (Fedora Project) 1311700085
:/usr/lib64/evolution-data-server/addressbook-backends/libebookbackendldap.so evolution-data-server-3.1.5-2.fc16.x86_64 (Fedora Project) 1314202709
:/lib64/libselinux.so.1 libselinux-2.1.4-2.fc16.x86_64 (Fedora Project) 1314202689
:/lib64/libgthread-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/libsmime3.so nss-3.12.10-6.fc16.x86_64 (Fedora Project) 1311700099

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-e7LxtK3fIr,guid=ce697741b13e4e8df8246c1400000019
:XDG_SESSION_COOKIE=ca249ca7830426304c997a3000000007-1314201341.859359-2024672169
:XDG_RUNTIME_DIR=/run/user/adamw
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/tmp/keyring-O7TGO3/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1602,unix/unix:/tmp/.ICE-unix/1602
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=adamw
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/tmp/keyring-O7TGO3/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-e7LxtK3fIr,guid=ce697741b13e4e8df8246c1400000019
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-adamw-UrDPuo/database
:USER=adamw
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1597
:SHLVL=1
:PWD=/home/adamw
:GNOME_KEYRING_CONTROL=/tmp/keyring-O7TGO3
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=adamw
:HOME=/home/adamw

var_log_messages:
:Aug 24 08:55:50 adam abrt[2031]: saved core dump of pid 1962 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-08-24-08:55:50-1962.new/coredump (45355008 bytes)
:Aug 24 09:57:49 adam abrt[5019]: file /usr/libexec/e-addressbook-factory seems to be deleted
:Aug 24 09:57:49 adam abrt[5019]: saved core dump of pid 2102 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-08-24-09:57:49-2102.new/coredump (36806656 bytes)
:Aug 24 11:39:36 adam abrt[6484]: saved core dump of pid 6478 (/usr/libexec/e-addressbook-factory) to /var/spool/abrt/ccpp-2011-08-24-11:39:36-6478.new/coredump (45297664 bytes)

Comment 1 Adam Williamson 2011-08-24 20:12:17 UTC
Created attachment 519712 [details]
File: maps

Comment 2 Adam Williamson 2011-08-24 20:12:18 UTC
Created attachment 519713 [details]
File: backtrace

Comment 3 Milan Crha 2011-08-25 06:14:45 UTC
Thanks for a bug report. To be honest, I do not see what this can be, I only see that your webdav address book is opening, checking proxy settings, and other threads are idle, only the main thread crashes in a usual process of looping for events. The crash doesn't make much sense to me.

Comment 4 abrt-bot 2012-03-30 14:06:49 UTC
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 instead of component evolution-data-server. You might want to inspect the backtrace from the bug listed below to find out the correct component.

Bug #579465 from component multisync was found to be similar to this bug.

This comment is automatically generated.

Comment 5 Fedora End Of Life 2013-01-16 15:13:29 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 16:36:06 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.